curl --request POST \
--url https://network.{region}.basaltic.sh/v1/security-groups/{security_group_id}/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Allow inbound HTTPS",
"ethertype": "ipv4",
"port_min": 443,
"port_max": 443,
"remote_cidr": "0.0.0.0/0",
"source_security_group": "d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f"
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/security-groups/{security_group_id}/rules"
payload = {
"description": "Allow inbound HTTPS",
"ethertype": "ipv4",
"port_min": 443,
"port_max": 443,
"remote_cidr": "0.0.0.0/0",
"source_security_group": "d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Allow inbound HTTPS',
ethertype: 'ipv4',
port_min: 443,
port_max: 443,
remote_cidr: '0.0.0.0/0',
source_security_group: 'd1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f'
})
};
fetch('https://network.{region}.basaltic.sh/v1/security-groups/{security_group_id}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"security_group_id": "d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f",
"direction": "ingress",
"ethertype": "ipv4",
"protocol": "tcp",
"created_at": "2023-11-07T05:31:56Z",
"description": "Allow inbound HTTPS",
"port_min": 443,
"port_max": 443,
"remote_cidr": "0.0.0.0/0",
"source_security_group_id": "d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Criar regra de grupo de segurança
Adiciona uma regra de permissão com estado ao grupo de segurança. Quando vários grupos de segurança se aplicam a uma interface, suas regras de permissão são unificadas.
network:CreateSecurityGroupRule. Consulte permissões de redes para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Cabeçalhos
Chave opcional gerada pelo cliente que torna uma criação segura para reprodução. A reintentar uma solicitação com a mesma chave retorna o resultado original literalmente em vez de criar um recurso duplicado. A reutilização de uma chave com um corpo de solicitação diferente é rejeitada (422); uma solicitação cuja chave ainda está sendo processada retorna 409. Os registros são honrados por 24 horas. Use um UUID ou token exclusivo semelhante.
255Parâmetros de caminho
ID do grupo de segurança
Corpo
ingress, egress tcp, udp, icmp, all "Allow inbound HTTPS"
ipv4, ipv6 0 <= x <= 65535443
0 <= x <= 65535443
"0.0.0.0/0"
UUID do grupo de segurança, CRN ou nome exato do escopo da conta. Exclusivo com remote_cidr.
"d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f"
Resposta
Regra criada
Show child attributes
Show child attributes

